=== debian/changelog ===
ros-eloquent-ecl-streams (1.0.7-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Mar 2020 04:54:04 -0000

ros-eloquent-ecl-streams (1.0.6-1bionic) bionic; urgency=high

  * bugfix a warning-as-error on a throw in a method declaration`#99 <https://github.com/stonier/ecl_core/pull/99>`_

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 11 Jan 2020 05:00:00 -0000

ros-eloquent-ecl-streams (0.60.7-1bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 03 Feb 2014 05:00:00 -0000

ros-eloquent-ecl-streams (0.60.6-1bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Jan 2014 05:00:00 -0000
