=== debian/control ===
Source: ros-eloquent-ecl-streams
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-ecl-build, ros-eloquent-ecl-concepts, ros-eloquent-ecl-converters, ros-eloquent-ecl-devices, ros-eloquent-ecl-errors, ros-eloquent-ecl-license, ros-eloquent-ecl-time, ros-eloquent-ecl-type-traits, ros-eloquent-ros-workspace
Homepage: http://wiki.ros.org/ecl_streams
Standards-Version: 3.9.2

Package: ros-eloquent-ecl-streams
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ecl-concepts, ros-eloquent-ecl-converters, ros-eloquent-ecl-devices, ros-eloquent-ecl-errors, ros-eloquent-ecl-license, ros-eloquent-ecl-time, ros-eloquent-ecl-type-traits, ros-eloquent-ros-workspace
Description: These are lightweight text streaming classes that connect to standardised ecl type devices.
